%global momorel 1
%global qtver 4.4.3
%global kdever 4.2.0
%global kdelibsrel 1m
%global kdebaseworkspacerel 2m
%global qtdir %{_libdir}/qt4
%global kdedir /usr

Summary: Bluetooth Support for KDE4
Name: kdebluetooth4
Version: 0.3
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://bluetooth.kmobiletools.org/
Group: Applications/System
Source0: http://dl.sourceforge.net/sourceforge/kde-bluetooth/%{name}-%{version}.tar.bz2 
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdebase-workspace >= %{kdever}-%{kdebaseworkspacerel}
Requires: bluez-utils
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdebase-workspace-devel >= %{kdever}-%{kdebaseworkspacerel}
BuildPreReq: bluez-libs-devel
BuildPreReq: cmake
BuildPreReq: dbus-devel
BuildPreReq: desktop-file-utils
BuildPreReq: openobex-devel

%description
Kdebluetooth framework for KDE4
To exchange files and data easily via Bluetooth.

* kbluetooth--a tray applet to handle incoming inquiries
* device-manager to manage BT Devices
* Input Wizard to setup new Input/Audio Devices
* kbluelock--locks the screen, when remote device disappears
* send files with obex-data-server

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_kde4_datadir}/applications/kde4 \
  --remove-category FileTransfer \
  --remove-category Network \
  --add-category System \
  %{buildroot}%{_kde4_datadir}/applications/kde4/kdebluetooth4.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog TODO
%{_kde4_bindir}/kbluetooth4
%{_kde4_bindir}/kbluetooth4-devicemanager
%{_kde4_bindir}/kbluetooth4-inputwizard
%{_kde4_datadir}/applications/kde4/kdebluetooth4.desktop
%{_kde4_iconsdir}/hicolor/*/apps/kbluetooth4*.png

%changelog
* Fri Jan 23 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3-1m)
- version 0.3
- update desktop.patch
- remove solidcontrol.patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2-2.20081218.2m)
- rebuild against rpm-4.6

* Thu Dec 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2-2.20081218.1m)
- update to 20081218 svn snapshot
- add solidcontrol.patch (to enable build)
- update desktop.patch

* Sun Sep 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2-2m)
- no NoSource

* Fri Sep  5 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2-1m)
- version 0.2

* Thu Aug 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1-1m)
- branch from kdebluetooth

* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.3.6m)
- revise %%{_docdir}/HTML/*/kdebluetooth/common

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-0.3.5m)
- rebuild against qt3

* Mon Apr 28 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.3.4m)
- switch Requires from kdebase3 to kdebase

* Fri Apr  4 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.3.3m)
- import new gcc43.patch from gentoo
 +- 31 Mar 2008; Ioannis Aslanidis <deathwing00@gentoo.org>
 +- +files/kdebluetooth-1.0_beta8-gcc43.patch, kdebluetooth-1.0_beta8.ebuild:
 +- Fixed bug #215620 (gcc 4.3 patch). Added missing quotes. Fixed header date.

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-0.3.2m)
- rebuild against gcc43

* Tue Mar 11 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.3.1m)
- update to version 1.0 beta8
- import gcc43.patch from Fedora
- clean up patches
- return to trunk

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0-0.2.5m)
- %%NoSource -> NoSource

* Wed Jul  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.2.4m)
- remove bluetooth_sidebarentry.desktop

* Sun May 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.2.3m)
- rebuild without kdepim

* Thu May  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.2.2m)
- move obex.desktop from %%{_datadir}/applnk to %%{_datadir}/applications/kde

* Wed May  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.2.1m)
- initial package for Momonga Linux
- import 5 patches from gentoo
 +- 08 Apr 2007; Stefan Schweizer <genstef@gentoo.org>
 +- +files/better-menu-names.diff, +files/kcm-btpaired-fix.diff,
 +- +files/kcm-no-dcop-error.diff, +files/kdebluetooth.diff,
 +- +files/kdebluetooth-dbuspasskeyagent.diff,
 +- +files/kdebluetooth-sdp-bitop.diff, +kdebluetooth-1.0_beta2-r2.ebuild:
 +- Add SuSe patches works with bluez-utils-3.7 thanks to Sergey Temerkhanov
 +- <temerkhanov@mail.ru> in bug 172832
